Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dtrtri

    java.lang.Object
      org.netlib.lapack.Dtrtri

    public class Dtrtri

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DTRTRI computes the inverse of a real upper or lower triangular
     *  matrix A.
     *
     *  This is the Level 3 BLAS version of the algorithm.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  A is upper triangular;
     *          = 'L':  A is lower triangular.
     *
     *  DIAG    (input) CHARACTER*1
     *          = 'N':  A is non-unit triangular;
     *          = 'U':  A is unit triangular.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the triangular matrix A.  If UPLO = 'U', the
     *          leading N-by-N upper triangular part of the array A contains

     *          the upper triangular matrix, and the strictly lower
     *          triangular part of A is not referenced.  If UPLO = 'L', the
     *          leading N-by-N lower triangular part of the array A contains

     *          the lower triangular matrix, and the strictly upper
     *          triangular part of A is not referenced.  If DIAG = 'U', the
     *          diagonal elements of A are also not referenced and are
     *          assumed to be 1.
     *          On exit, the (triangular) inverse of the original matrix, in

     *          the same storage format.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument had an illegal value
     *          > 0: if INFO = i, A(i,i) is exactly zero.  The triangular
     *               matrix is singular and its inverse can not be computed.

     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dtrtri()`

Method Summary
`static void` | `dtrtri(java.lang.String uplo, java.lang.String diag, int n, double[] a, int _a_offset, int lda, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dtrtri

    public Dtrtri()

Method Detail

### dtrtri

    public static void dtrtri(java.lang.String uplo,
                              java.lang.String diag,
                              int n,
                              double[] a,
                              int _a_offset,
                              int lda,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD